Bug 217739 - RHN API Enhancements -- listActiveSystems
RHN API Enhancements -- listActiveSystems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Matthews
Brandon Perkins
: FutureFeature
Depends On:
Blocks: 248642
  Show dependency treegraph
 
Reported: 2006-11-29 13:13 EST by Issue Tracker
Modified: 2008-04-02 17:01 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 17:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python script to exercise API call "listActiveSystems" (918 bytes, text/x-python)
2007-11-16 14:08 EST, John Matthews
no flags Details

  None (edit)
Description Issue Tracker 2006-11-29 13:13:46 EST
Escalated to Bugzilla from IssueTracker
Comment 5 John Matthews 2007-11-16 14:08:49 EST
Created attachment 261661 [details]
Python script to exercise API call "listActiveSystems"

Test script to show "listActiveSystems" is functioning
Comment 6 John Matthews 2007-11-19 16:46:47 EST
Fixed in svn, commit #133951, #133964
Comment 7 Brandon Perkins 2007-12-19 01:01:48 EST
Fails QA for one (potentially two) reasons:

Problem 1: server name key in return is "Name" but the docs say "name".

Problem 2: last_checkin is a string (in both the return and the docs), but
wouldn't it make more sense to be a date?  Like the get* and schedule*
methods... seems odd to have a perfectly good date datatype cast into a string
to put the parsing effort on the client/customer.
Comment 8 John Matthews 2007-12-19 11:38:53 EST
svn revision: 135037

Updated last_checkin to return a Date object and fixed case problem with "name".

Example output:
last_checkin =  20071219T15:46:48
        name =  rlx-0-24.rhndev.redhat.com
        id =    1000010001
Comment 9 Brandon Perkins 2008-01-04 23:14:57 EST
Fails QA.  The name thing is fixed.  The last_checkin now returns a date,
however, the docs are now wrong:

https://rlx-3-14.rhndev.redhat.com/rhn/apidoc/system/SystemHandler.jsp#listActiveSystems

string "last_checkin" - last time server successfully checked in with Red Hat
Network.

should be:

date "last_checkin" - last time server successfully checked in with Red Hat Network.
Comment 10 John Matthews 2008-01-07 12:07:35 EST
svn rev: 135286
Documentation update:
dateTime.iso8601 "last_checkin" - last time server successfully checked in
Comment 11 Brandon Perkins 2008-01-14 02:22:26 EST
Verified.
Comment 12 Brandon Perkins 2008-03-25 12:40:28 EDT
Release Pending.
Comment 13 Brandon Perkins 2008-04-02 17:01:21 EDT
API call Enhancements for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.